#line 1 "C:/Users/Daniele/Desktop/prova PIC32 fatFS/provafatFS.c"
#line 1 "c:/users/daniele/desktop/prova pic32 fatfs/ff.h"
#line 1 "c:/users/daniele/desktop/prova pic32 fatfs/integer.h"
#line 1 "c:/users/daniele/desktop/prova pic32 fatfs/ffconf.h"
#line 67 "c:/users/daniele/desktop/prova pic32 fatfs/ff.h"
typedef char TCHAR;










typedef struct {
 BYTE fs_type;
 BYTE drv;
 BYTE csize;
 BYTE n_fats;
 BYTE wflag;
 BYTE fsi_flag;
 WORD id;
 WORD n_rootdir;
#line 94 "c:/users/daniele/desktop/prova pic32 fatfs/ff.h"
 DWORD last_clust;
 DWORD free_clust;
#line 100 "c:/users/daniele/desktop/prova pic32 fatfs/ff.h"
 DWORD n_fatent;
 DWORD fsize;
 DWORD volbase;
 DWORD fatbase;
 DWORD dirbase;
 DWORD database;
 DWORD winsect;
 BYTE win[ 512 ];
} FATFS;





typedef struct {
 FATFS* fs;
 WORD id;
 BYTE flag;
 BYTE err;
 DWORD fptr;
 DWORD fsize;
 DWORD sclust;
 DWORD clust;
 DWORD dsect;

 DWORD dir_sect;
 BYTE* dir_ptr;
#line 135 "c:/users/daniele/desktop/prova pic32 fatfs/ff.h"
 BYTE buf[ 512 ];

} FIL;





typedef struct {
 FATFS* fs;
 WORD id;
 WORD index;
 DWORD sclust;
 DWORD clust;
 DWORD sect;
 BYTE* dir;
 BYTE* fn;
#line 162 "c:/users/daniele/desktop/prova pic32 fatfs/ff.h"
} DIR;





typedef struct {
 DWORD fsize;
 WORD fdate;
 WORD ftime;
 BYTE fattrib;
 TCHAR fname[13];
#line 178 "c:/users/daniele/desktop/prova pic32 fatfs/ff.h"
} FILINFO;





typedef enum {
 FR_OK = 0,
 FR_DISK_ERR,
 FR_INT_ERR,
 FR_NOT_READY,
 FR_NO_FILE,
 FR_NO_PATH,
 FR_INVALID_NAME,
 FR_DENIED,
 FR_EXIST,
 FR_INVALID_OBJECT,
 FR_WRITE_PROTECTED,
 FR_INVALID_DRIVE,
 FR_NOT_ENABLED,
 FR_NO_FILESYSTEM,
 FR_MKFS_ABORTED,
 FR_TIMEOUT,
 FR_LOCKED,
 FR_NOT_ENOUGH_CORE,
 FR_TOO_MANY_OPEN_FILES,
 FR_INVALID_PARAMETER
} FRESULT;






FRESULT f_open (FIL* fp, const TCHAR* path, BYTE mode);
FRESULT f_close (FIL* fp);
FRESULT f_read (FIL* fp, void* buff, UINT btr, UINT* br);
FRESULT f_write (FIL* fp, const void* buff, UINT btw, UINT* bw);
FRESULT f_forward (FIL* fp, UINT(*func)(const BYTE*,UINT), UINT btf, UINT* bf);
FRESULT f_lseek (FIL* fp, DWORD ofs);
FRESULT f_truncate (FIL* fp);
FRESULT f_sync (FIL* fp);
FRESULT f_opendir (DIR* dp, const TCHAR* path);
FRESULT f_closedir (DIR* dp);
FRESULT f_readdir (DIR* dp, FILINFO* fno);
FRESULT f_findfirst (DIR* dp, FILINFO* fno, const TCHAR* path, const TCHAR* pattern);
FRESULT f_findnext (DIR* dp, FILINFO* fno);
FRESULT f_mkdir (const TCHAR* path);
FRESULT f_unlink (const TCHAR* path);
FRESULT f_rename (const TCHAR* path_old, const TCHAR* path_new);
FRESULT f_stat (const TCHAR* path, FILINFO* fno);
FRESULT f_chmod (const TCHAR* path, BYTE attr, BYTE mask);
FRESULT f_utime (const TCHAR* path, const FILINFO* fno);
FRESULT f_chdir (const TCHAR* path);
FRESULT f_chdrive (const TCHAR* path);
FRESULT f_getcwd (TCHAR* buff, UINT len);
FRESULT f_getfree (const TCHAR* path, DWORD* nclst, FATFS** fatfs);
FRESULT f_getlabel (const TCHAR* path, TCHAR* label, DWORD* vsn);
FRESULT f_setlabel (const TCHAR* label);
FRESULT f_mount (FATFS* fs, const TCHAR* path, BYTE opt);
FRESULT f_mkfs (const TCHAR* path, BYTE sfd, UINT au);
FRESULT f_fdisk (BYTE pdrv, const DWORD szt[], void* work);
int f_putc (TCHAR c, FIL* fp);
int f_puts (const TCHAR* str, FIL* cp);
int f_printf (FIL* fp, const TCHAR* str, ...);
TCHAR* f_gets (TCHAR* buff, int len, FIL* fp);
#line 264 "c:/users/daniele/desktop/prova pic32 fatfs/ff.h"
DWORD get_fattime (void);
#line 5 "C:/Users/Daniele/Desktop/prova PIC32 fatFS/provafatFS.c"
FIL* fp;


void main() {

 AD1PCFG = 0xFFFF;
 JTAGEN_bit = 0;
 TRISB=0;
 LATB=0;

 disk_initialize(0);
 f_open (fp, "fatfs.txt", 0x02 );





 }
